## sockstat 0.3

=== Makefile ===
SRCS = sockstat.c
OBJS = ${SRCS:.c=.o}

sockstat: ${OBJS}
	cc -o $@ ${OBJS}

install:
	install -m 755 -c sockstat ${DESTDIR}/usr/bin

clean:
	rm -f *.o sockstat

distclean: clean

all: sockstat
build: sockstat

=== debian/changelog ===
sockstat (0.3-3) unstable; urgency=medium

  * new maintainer (Closes: #842489)
  * debian/control: use dh11
  * debian/control: homepage does not exist any longer (Closes: #515586)
  * debian/control: bump standard to 4.1.4 (no changes)
  * add 30_cross.patch to make it cross compile (Closes: #900205)
    (thanks to Helmut Grohne for the patch)
  * add 40_handle-missing-files.patch (Closes: #679876)
  * add 50_handle-unknown-user.patch (Closes: #595537)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 03 Jul 2018 19:36:02 +0200

sockstat (0.3-2) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #842489)
  * Migrations:
      - debian/copyright to 1.0 format.
      - debian/rules to new (reduced) format.
      - DebSrc to 3.0.
      - DH level to 10.
  * debian/control:
      - Bumped Standards-Version to 3.9.8.
      - Changed Priority to optional.
      - Removed no longer necessary quilt from Build-Depends field.
  * debian/patches/:
      - 001_fix_CHAR_BIT_missing.patch:
          ~ Added a header.
          ~ Renamed to 10_fix-CHAR-BIT-missing.patch.
      - 20_add-GCC-hardening.patch: added to implement GCC hardening.
  * debian/README: renamed to README.Debian.
  * debian/rules: added the DEB_BUILD_MAINT_OPTIONS variable to improve the GCC
    hardening.
  * debian/watch: added a fake site to explain about the current status of the
    original upstream homepage.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 30 Dec 2016 12:36:02 -0200

sockstat (0.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add quilt for patching
  * debian/patches/001_fix_CHAR_BIT_missing.patch
    - Fix FTBFS in karmic (Closes: #518851)

 -- Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>  Thu, 04 Jun 2009 16:12:06 +0800

sockstat (0.3-1) unstable; urgency=low

  * Initial release for Debian. (Closes: #483899)

 -- William Pitcock <nenolod@dereferenced.org>  Wed, 06 Aug 2008 13:08:22 -0500

=== debian/control ===
Source: sockstat
Section: admin
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.1.4
#Homepage: http://nenolod.net/sockstat

Package: sockstat
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: view detailed information about open connections
 Sockstat is a tool to let you view information about open connections.
 It is similar to the tool of the same name that is included in FreeBSD,
 trying to faithfully reproduce as much functionality as is possible.
 .
 This version of sockstat contains several additional features, like
 the ability to look up sockets in use by GID, UID and process name,
 as well as the other criteria supported by FreeBSD's sockstat.

## sockstat 0.3.1

=== debian/changelog ===
sockstat (0.3.1-1) unstable; urgency=medium

  * New upstream release
  * all patches applied upstream
  * debian/control: add new Homepage:
  * debian/control: add salsa URLs

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 07 Jul 2018 15:01:31 +0200

## sockstat 0.4.0

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 OBJS = ${SRCS:.c=.o}
 
 sockstat: ${OBJS}
-	cc -o $@ ${OBJS}
+	$(CC) -o $@ $(LDFLAGS) ${OBJS}
 
 install:
 	install -m 755 -c sockstat ${DESTDIR}/usr/bin

=== debian/changelog ===
sockstat (0.4.0-1) unstable; urgency=medium

  * New upstream release
  * IPv6 support added (Closes: #719276)
  * debian/watch: replace ulfius by sockstat

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 12 Jul 2018 20:15:42 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,9 @@
 Maintainer: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: debhelper (>= 11)
 Standards-Version: 4.1.4
-#Homepage: http://nenolod.net/sockstat
+Homepage: https://github.com/alteholz/sockstat
+Vcs-Browser: https://salsa.debian.org/alteholz/sockstat
+Vcs-Git: https://salsa.debian.org/alteholz/sockstat.git
 
 Package: sockstat
 Architecture: any

=== debian/watch ===
version=4

# https://github.com/alteholz/sockstat
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ulfius-$1.tar.gz%" \
   https://github.com/alteholz/sockstat/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## sockstat 0.4.1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 OBJS = ${SRCS:.c=.o}
 
 sockstat: ${OBJS}
-	$(CC) -o $@ $(LDFLAGS) ${OBJS}
+	$(CC) $(CFLAGS) -o $@ $(LDFLAGS) ${OBJS}
 
 install:
 	install -m 755 -c sockstat ${DESTDIR}/usr/bin

=== debian/changelog ===
sockstat (0.4.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.4.1 (no changes)
  * debian/control: use dh12
  * sockstat no longer crashes (Closes: #716341)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 14 Oct 2019 22:39:36 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 12)
+Standards-Version: 4.4.1
 Homepage: https://github.com/alteholz/sockstat
 Vcs-Browser: https://salsa.debian.org/alteholz/sockstat
 Vcs-Git: https://salsa.debian.org/alteholz/sockstat.git

=== debian/watch ===
version=4

# https://github.com/alteholz/sockstat
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%sockstat-$1.tar.gz%" \
   https://github.com/alteholz/sockstat/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## sockstat 0.4.2

=== debian/changelog ===
sockstat (0.4.2-1) unstable; urgency=medium

  * New upstream release. (Closes: #1034626)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 12 Oct 2025 10:48:24 +0200

sockstat (0.4.1-2) unstable; urgency=medium

  * debian/control: bump standard to 4.7.2 (no changes)
  * debian/control: use dh13
  * debian/control: add Rules-Requires-Root: no
  * debian/control: repository moved from github to codeberg now
  * debian/watch: repository moved from github to codeberg now
  * debian/upstream: add metadata

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 18 Aug 2025 19:39:36 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: admin
 Priority: optional
 Maintainer: Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: debhelper (>= 12)
-Standards-Version: 4.4.1
-Homepage: https://github.com/alteholz/sockstat
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.2
+Homepage: https://codeberg.org/alteholz/sockstat
 Vcs-Browser: https://salsa.debian.org/alteholz/sockstat
 Vcs-Git: https://salsa.debian.org/alteholz/sockstat.git
+Rules-Requires-Root: no
 
 Package: sockstat
 Architecture: any

=== debian/tests/control ===
Tests: smoke
Depends: @, file, shunit2

=== debian/watch ===
version=4

# https://codeberg.com/alteholz/sockstat
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%sockstat-$1.tar.gz%" \
   https://codeberg.org/alteholz/sockstat/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
